Impact Stories
Save a story import mapping
Upserts a mapping by source type and name. Selecting a new default clears the prior default for that source type. Requires the impact_stories feature. Requires permission: one of impact_stories_import.
POST
/
admin
/
impact-stories
/
import-mappings
Save a story import mapping
curl --request POST \
--url https://api.gratona.com/v1/admin/impact-stories/import-mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Education stories",
"mapping_json": {},
"source_type": "manual",
"is_default": true
}
'import requests
url = "https://api.gratona.com/v1/admin/impact-stories/import-mappings"
payload = {
"name": "Education stories",
"mapping_json": {},
"source_type": "manual",
"is_default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Education stories',
mapping_json: {},
source_type: 'manual',
is_default: true
})
};
fetch('https://api.gratona.com/v1/admin/impact-stories/import-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/impact-stories/import-mappings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Education stories',
'mapping_json' => [
],
'source_type' => 'manual',
'is_default' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/impact-stories/import-mappings"
payload := strings.NewReader("{\n \"name\": \"Education stories\",\n \"mapping_json\": {},\n \"source_type\": \"manual\",\n \"is_default\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/impact-stories/import-mappings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Education stories\",\n \"mapping_json\": {},\n \"source_type\": \"manual\",\n \"is_default\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/impact-stories/import-mappings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Education stories\",\n \"mapping_json\": {},\n \"source_type\": \"manual\",\n \"is_default\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 42,
"client_id": 42,
"name": "Education update",
"source_type": "Education update",
"mapping_json": {},
"is_default": true,
"created_by_user_id": 42,
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Body
application/json
Validated request fields for this operation.
Name. Validation: required, string, max:255.
Maximum string length:
255Example:
"Education stories"
Mapping json. Validation: required, array.
Show child attributes
Show child attributes
Source type. Validation: nullable, string, max:64.
Maximum string length:
64Example:
"manual"
Is default. Validation: nullable, boolean.
Example:
true
Response
Operation result.
Show child attributes
Show child attributes
⌘I
Save a story import mapping
curl --request POST \
--url https://api.gratona.com/v1/admin/impact-stories/import-mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Education stories",
"mapping_json": {},
"source_type": "manual",
"is_default": true
}
'import requests
url = "https://api.gratona.com/v1/admin/impact-stories/import-mappings"
payload = {
"name": "Education stories",
"mapping_json": {},
"source_type": "manual",
"is_default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Education stories',
mapping_json: {},
source_type: 'manual',
is_default: true
})
};
fetch('https://api.gratona.com/v1/admin/impact-stories/import-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/impact-stories/import-mappings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Education stories',
'mapping_json' => [
],
'source_type' => 'manual',
'is_default' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/impact-stories/import-mappings"
payload := strings.NewReader("{\n \"name\": \"Education stories\",\n \"mapping_json\": {},\n \"source_type\": \"manual\",\n \"is_default\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/impact-stories/import-mappings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Education stories\",\n \"mapping_json\": {},\n \"source_type\": \"manual\",\n \"is_default\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/impact-stories/import-mappings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Education stories\",\n \"mapping_json\": {},\n \"source_type\": \"manual\",\n \"is_default\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 42,
"client_id": 42,
"name": "Education update",
"source_type": "Education update",
"mapping_json": {},
"is_default": true,
"created_by_user_id": 42,
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}